Update User attributes
PATCH
https://example.com/scim/v2/Users/{urn}
Path Parameters
- urnstringrequiredDescription
Body Parameters
- bodyUserPatchDescription
- schemasstring[]
- Operationsobject[]
- opstring<add | replace>Description
- pathstringExampleDescription
- valuestringExample
Responses
200
curl
curl --request PATCH \
--url https://example.com/scim/v2/Users/{urn} \
--header 'accept: application/json'go
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/scim/v2/Users/{urn}"
method := "PATCH"
client := &http.Client {
}
req, err := http.NewRequest(method, url, nil)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("accept", "application/json")
req.Header.Add("content-type", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := ioutil.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}python
import requests
import json
url = "https://example.com/scim/v2/Users/{urn}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PATCH", url, headers=headers, data=payload)
print(response.text)
javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'PATCH',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://example.com/scim/v2/Users/{urn}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));java
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("https://example.com/scim/v2/Users/{urn}")
.method("PATCH", body)
.addHeader("accept", "application/json")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();200
// OK
Update certain user attributes.